Subject: Επέκταση του API ώστε να υποστηρίζει χειρισμό ιδιωτικών δικτύων

Description

Το API και η υλοποίησή του χρειάζεται να επεκταθούν ώστε να υποστηρίζεται ο χειρισμός ιδιωτικών δικτύων.

Πιο συγκεκριμένα, χρειάζεται να οριστεί πώς από το API θα είναι δυνατές οι λειτουργίες:

α) λίστα ορισμένων από το χρήστη ιδιωτικών δικτύων

β) δημιουργία ιδιωτικού δικτύου

γ) καταστροφή ιδιωτικού δικτύου

δ) σύνδεση server σε ιδιωτικό δίκτυο

ε) επιστροφή των δικτύων στα οποία είναι συνδεδεμένος ένας server

στ) ...μαζί με διευθύνσεις IPv4/IPv6, όπου αυτό έχει νόημα (στο δημόσιο δίκτυο)

ζ) επιλογή firewall profile για το δημόσιο δίκτυο.

Τα (ε), (στ) καλύπτονται από το τρέχον spec. Για τα (α)-(ε), (ζ) χρειάζεται επέκταση του api, ίσως σε χωριστό namespace /networks.

Το πρώτο βήμα είναι να γραφτεί μια σύντομη περιγραφή προτεινόμενου spec για το API και μετά να υλοποιηθεί η λειτουργικότητά

του. Ακόμη και χωρίς υποστήριξη από το backend, το API implementation πρέπει να μπορεί να απαντήσει ποια ιδιωτικά δίκτυα

υπάρχουν, και ποια μηχανήματα είναι συνδεδεμένα πάνω σε αυτά, ποιες διευθύνσεις IP έχει ένα μηχάνημα στο δημόσιο δίκτυο

(κοιτάζει τη ΒΔ για αυτό).

Related issues:

related to Synnefo - Feature # 659: To API πρέπει να υποστηρίζει firewall pro... Closed 06/08/2011

related to Synnefo - Feature # 415: Επέκταση του UI ώστε να χειρίζεται το δημ... Closed 04/13/2011

related to Synnefo - Bug # 457: To /networks API πρέπει να υποστηρίζει αριθμη... Closed 05/06/2011

related to Synnefo - Bug # 569: Κάθε δίκτυο στο /networks του API πρέπει να έ... Closed 05/23/2011

related to Synnefo - Feature # 469: Επέκταση του UI ώστε να κάνει κλήσεις στο... Closed 05/07/2011

blocks Synnefo - Feature # 407: Υποστήριξη δικτύων από το Synnefo Closed 04/12/2011

Associated revisions

Revision 0269afd6 - 05/03/2011 12:29 pm - Giorgos Verigakis

Add initial networks support

Refs #409

Revision 13b954b0 - 05/05/2011 01:49 pm - Giorgos Verigakis

Add tests for networks and some bug fixes

Fixes #409

History

#1 - 05/03/2011 06:35 pm - Giorgos Verigakis
Έχω κάνει commit μια πρώτη υλοποίηση και έχω κάνει update το σχετικό document στο wiki. Είναι pending ακόμα τα tests.

#2 - 05/05/2011 04:09 pm - Giorgos Verigakis

Έγιναν commit και τα test, η μόνη εκκρεμότητα πλέον είναι το σημείο ζ. Νομίζω πως αυτο και το στ (το οποίο γινόταν έτσι κι αλλιώς) δεν έχουν

σχέση με το συγκεκριμένο ticket, καθώς έχουν νόημα μόνο για το δημόσιο δίκτυο το οποίο χειριζόμαστε διαφορετικά.

Προτείνω το ζ να ανοίξει ως ξεχωριστό issue με περισσότερες πληροφορίες όμως (π.χ. ποια είναι τα διαθέσιμα προφίλ;) και να υλοποιηθεί στο

/servers του API.

#3 - 05/06/2011 02:52 pm - Vangelis Koukis

- Status changed from Assigned to Closed

Η υλοποίηση του API έχει επεκταθεί ώστε να υποστηρίζει το χειρισμό ιδιωτικών δικτύων και τη σύνδεση/αποσύνδεση μηχανημάτων.

Μένουν κάποιες αλλαγές στην υλοποίηση [προσθήκη ονόματος δικτύου ως ιδιότητα, χρήση αριθμητικών ids] (#457) και ο ορισμός των firewall

profiles, που θα γίνει σε επόμενο ticket.

Αυτό κλείνει.

04/26/2024 2/2


